Subject: bug#54087: 28.0.91; rcirc: irc.gnome reg timeout; reconnects after quit

From: Ken Raeburn <[email-masked]>
Date: Tue, 22 Feb 2022 19:35:22 -0500

Aha! In the reply from irc.gnome.org, there's a space after the 
capability name. Hmm... actually, just the "ACK" ones, not the "NAK" 
ones. And the line splitting done in Lisp preserves it, associated with 
the capability name.

So rcirc-acked-capabilities accumulates names like "sasl ", and the 
names like "sasl" never get removed from rcirc-requested-capabilities. 
Since that list never becomes empty, we think we never finish the 
negotiation...

I'm not familiar enough with the IRC protocol to know if simply throwing 
away trailing whitespace always is a good solution, or if doing 
something specific for capability names is better, so I'll leave it at 
that for now.